Subject: Guix cannot update again and again
From: [email-masked]
To: "bug-guix" <[email-masked]>
Date: Tue, 12 Jan 2021 18:18:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello! I make update under root normally.
But normal user cannot finish updates for several times during these 3 weeks.
Sometimes process stops on downloading one file,sometimes another.
I can remember when I had bad connection I restarted updates again and again and finally got my profile updated.
Is it a problem with my network or Guix servers, or guix code?

$ guix pull && guix package -u
...
building /gnu/store/7ingg9zn1jv0gy4lv93bj4xl1rg12s4p-gvfs-1.40.1.drv...
building /gnu/store/96wkbqpdv3b5wppma08x4xi8ps7ql82n-audacity-2.4.2.drv...
building /gnu/store/xlvl0iymrcgnl9ng8vp53ibc0rmzl4qw-pcmanfm-1.3.1.drv...
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 0.0%guix substitute: error: TLS error in procedure 'read_from_session_record_port': Error in the pull function.
guix package: error: unexpected end-of-file

~$ guix describe
Generation 8 Jan 12 2021 20:05:21 (current)
 guix bb4e674
 repository URL: https://git.savannah.gnu.org/git/guix.git
 branch: master
 commit: bb4e67415eb6d9871ee1b50b0a01e08c19f4809a